default: &default
  adapter: postgresql
  encoding: unicode
  pool: <%= ENV.fetch('RAILS_MAX_THREADS', 5) %>
  username: <%= ENV.fetch('DB_USER', 'postgres') %>
  password: <%= ENV.fetch('DB_PASS', 'sekret') %>
  host: <%= ENV.fetch('DB_HOST', 'localhost') %>

development:
  <<: *default
  database: find_a_dish_development

test:
  <<: *default
  database: find_a_dish_test

production:
  <<: *default
  database: find_a_dish_production
  username: find_a_dish
  password: <%= ENV["FIND_A_DISH_DATABASE_PASSWORD"] %>
